<app-header-breadcrumb></app-header-breadcrumb>


<form [formGroup]='listForm' (ngSubmit)='onClickSearch()'>
  <p-panel header="{{ 'bundle.label.list' | translate }} {{ 'bundle.label.patients' | translate }}">
    <div class='p-grid'>
      <div class='p-col-12'>
       
        <!--
        <p-autoComplete formControlName='patients' [suggestions]='patients' 
        (completeMethod)='autoCompleteSingle($event)'
          field='name' [size]='30' 
          placeholder="{{ 'bundle.label.patients' | translate }}" [minLength]='1' [multiple]='false'>

        </p-autoComplete> -->

        <input id="input-name" type="text" size="255" pInputText formControlName="name" placeholder="{{ 'bundle.label.name' | translate }}">

      </div>
      <div class='p-col-12'>
        <p-radioButton name='groupname' value="Active" formControlName='status'
          label="{{ 'bundle.label.active' | translate }}"></p-radioButton>

        <p-radioButton name='groupname' value="Inactive" formControlName='status'
          label="{{ 'bundle.label.inactive' | translate }}"></p-radioButton>
      </div>

    </div>
  </p-panel>
  <p-footer>
    <div class='p-grid'>
      <div class='p-col-3'>
        <button pButton type='submit' label="{{ 'bundle.label.search' | translate }}" icon="pi pi-search"
          class='ui-button-raised' [disabled]='!listForm.valid'></button>
      </div>
      <div class='p-col-3'>
        <button pButton type='submit' label="{{ 'bundle.label.new' | translate }}" icon="fa fa-universal-access"
          class="ui-button-success" (click)="onRowEditInit(null)"></button>
      </div>
    </div>
  </p-footer>
</form>

<p-table [columns]="cols" [value]="patientList" [lazy]="true" (onLazyLoad)="onPageChanged($event)" [paginator]="true"
  [rows]="5" [totalRecords]="totalRecords" [loading]="loading">
  <ng-template pTemplate="header" let-columns>
    <tr>
      <th *ngFor="let col of columns">
        {{ col.header | translate }}
      </th>
      <th style="width:8em">
        {{ 'bundle.label.user_change' | translate }}
      </th>
      <th style="width:8em">
        {{ 'bundle.label.date_change' | translate }}
      </th>
      <th style="width:8em">
        {{ 'bundle.label.status' | translate }}
      </th>
      <th style="width:8em">
         {{ 'bundle.label.edit' | translate }}
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-rowData let-columns="columns">
    <tr>
      <td *ngFor="let col of columns">
        {{rowData[col.field]}}
      </td>

       <td style="text-align:center">
        {{rowData['userChange'].name}}
      </td>

      <td style="text-align:center">
        {{rowData['dateChange'] | date:"dd/MM/yyyy HH:mm:ss"}}
      </td>
      <td style="text-align:center">
        <button pButton type="button" icon="{{rowData['status'] === 'A' ?  'fa fa-thumbs-up' : 'fa fa-thumbs-down' }}"
          class="{{rowData['status'] === 'A' ?  'ui-button-success' : 'ui-button-danger' }}"
          (click)="confirmChangeStatus(rowData)"></button>
      </td>
      <td style="text-align:center">
        <button pButton type="button" icon="pi pi-pencil" class="ui-button-info"
          (click)="onRowEditInit(rowData)"></button>
      </td>      
    </tr>
  </ng-template>
</p-table>



<p-dialog header="{{header | translate }} {{'bundle.label.patient' | translate }}  " [(visible)]="display" [responsive]="true" showEffect="fade" [modal]="true"
[closable]="false" [style]="{width: '800px'}">
  <form [formGroup]="patientForm" (ngSubmit)="save()">

    <div class="p-grid p-justify-center p-align-center">
      <div class="p-col-12">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-user"></i></span>
          <input id="float-input-name" type="text" size="255" pInputText formControlName="name" placeholder="{{ 'bundle.label.name' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-12" *ngIf="patientForm.controls['name'].errors && patientForm.controls['name'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.name.is.required' | translate }}" *ngIf="patientForm.controls['name'].errors['required']"></p-message>
      </div>

      <div class="p-col-3">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-user"></i></span>
          <p-inputMask id="float-input-cpf" formControlName="cpf"  mask="999.999.999-99" slotChar=" " ></p-inputMask>
        </div>
      </div>
      <div class="p-col-3" *ngIf="patientForm.controls['cpf'].errors && patientForm.controls['cpf'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.cpf.is.required' | translate }}" *ngIf="patientForm.controls['cpf'].errors['required']"></p-message>
      </div>

      <div class="p-col-9">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-at"></i></span>
          <input id="float-input-email" type="email" size="255" pInputText formControlName="email" placeholder="{{ 'bundle.label.email' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-9" *ngIf="patientForm.controls['email'].errors && patientForm.controls['email'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.email.is.required' | translate }}" *ngIf="patientForm.controls['email'].errors['required']"></p-message>
        <p-message severity="error" text="{{ 'bundle.mesage.email.is.invalid' | translate }}" *ngIf="patientForm.controls['email'].errors['email']"></p-message>
      </div>

      <div class="p-col-6">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-birthday-cake"></i></span>
             <p-inputMask id="float-input-dataBirth" formControlName="dataBirth"  mask="99/99/9999" ></p-inputMask>            
        </div>
      </div>
      <div class="p-col-6" *ngIf="patientForm.controls['dataBirth'].errors && patientForm.controls['dataBirth'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['dataBirth'].errors['required']"></p-message>
      </div>

      <div class="p-col-6">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-phone"></i></span>          
            <p-inputMask id="float-input-dataBirth" formControlName="telefone"  mask="(99)9?9999-9999" ></p-inputMask>
        </div>
      </div>
      <div class="p-col-6" *ngIf="patientForm.controls['telefone'].errors && patientForm.controls['telefone'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['telefone'].errors['required']"></p-message>
      </div>

      <div class="p-col-3">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-address-book"></i></span>
       
          <p-inputMask id="float-input-dataBirth" formControlName="zipCode"  mask="99999-999" 
              (change)="findZipCode($event)" slotChar=" " ></p-inputMask>
        </div>
      </div>
      <div class="p-col-3" *ngIf="patientForm.controls['zipCode'].errors && patientForm.controls['zipCode'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['zipCode'].errors['required']"></p-message>
      </div>

      <div class="p-col-9">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-address" type="text" size="255" pInputText formControlName="address" placeholder="{{ 'bundle.label.address' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-9" *ngIf="patientForm.controls['address'].errors && patientForm.controls['address'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['address'].errors['required']"></p-message>
      </div>


      <div class="p-col-4">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-number" type="text" size="12" pInputText formControlName="number" placeholder="{{ 'bundle.label.number' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-4" *ngIf="patientForm.controls['number'].errors && patientForm.controls['number'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['number'].errors['required']"></p-message>
      </div>

      <div class="p-col-8">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-complement" type="text" size="200" pInputText formControlName="complement" placeholder="{{ 'bundle.label.complement' | translate }}"
            >
        </div>
      </div>
      

      <div class="p-col-4">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-district" type="text" size="255" pInputText formControlName="district" placeholder="{{ 'bundle.label.district' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-4" *ngIf="patientForm.controls['district'].errors && patientForm.controls['district'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['district'].errors['required']"></p-message>
      </div>

      <div class="p-col-4">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-city" type="text" size="255" pInputText formControlName="city" placeholder="{{ 'bundle.label.city' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-4" *ngIf="patientForm.controls['city'].errors && patientForm.controls['city'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['city'].errors['required']"></p-message>
      </div>

      <div class="p-col-4">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-home"></i></span>
          <input id="float-input-state" type="text" size="255" pInputText formControlName="state" placeholder="{{ 'bundle.label.state' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-4" *ngIf="patientForm.controls['state'].errors && patientForm.controls['state'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.is.required' | translate }}" *ngIf="patientForm.controls['state'].errors['required']"></p-message>
      </div>

    </div>
    <p-footer>
      <div class="p-grid">
        <div class="p-col-6">
          <button pButton type="submit" label="{{ 'bundle.label.save' | translate }}" class="ui-button-raised" [disabled]="!patientForm.valid"></button>
        </div>
        <div class="p-col-6">
          <button type="button" pButton icon="fa fa-close" (click)="cancel($event)" label="{{ 'bundle.label.cancel' | translate }}"></button>
        </div>
      </div>
    </p-footer>

  </form>
</p-dialog>

<p-confirmDialog [style]="{width: '50vw'}"></p-confirmDialog>
